## ttf-freefont 20031008-1.1

=== Makefile ===
all: FreeMono.ttf FreeMonoBold.ttf FreeMonoOblique.ttf FreeMonoBoldOblique.ttf \
     FreeSans.ttf FreeSansBold.ttf FreeSansOblique.ttf FreeSansBoldOblique.ttf \
	 FreeSerif.ttf FreeSerifBold.ttf FreeSerifItalic.ttf FreeSerifBoldItalic.ttf

%.ttf: %.sfd
	../tools/ConvertFont $<

=== debian/changelog ===
ttf-freefont (20031008-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High urgency due to fix for release-critical bug.
  * debian/fontforge-bug-workaround.patch: This patch works around a bug
    in fontforge: it ignores the Ascent and Descent values specified in
    the sfd, and supplies its own incorrect values.  It also adds the
    HheadAscent and HheadDescent value to its own values, so this patch
    uses these values to correct the calculated values back to the correct
    values.  This patch should be reviewed when the bug in fontforge is
    fixed.  (closes: #254113)
  * debian/control: Add Build-Depends on patch.
  * debian/rules: Apply the patch.

 -- Josh Triplett <josh.trip@verizon.net>  Sun, 29 Aug 2004 11:05:50 -0700

ttf-freefont (20031008-1) unstable; urgency=low

  * New upstream version.
  * debian/control, tools/ConvertFont: pfaedit has been renamed to fontforge,
    requiring an update of the dependencies and build scripts
    (closes: #253902, #251369)
  * debian/control: Removed (udeb) from the udeb description field
    (closes: #195627).
  * debian/control: Updated standards version to 3.6.1.

 -- Peter Hawkins <peterh@debian.org>  Sun, 19 Oct 2003 14:32:48 +1000

ttf-freefont (20030519-1) unstable; urgency=low

  * New upstream release.

 -- Peter Hawkins <peterh@debian.org>  Sun,  1 Jun 2003 09:36:20 +1000

ttf-freefont (20030327-1) unstable; urgency=low

  * New upstream version.
  * Updated defoma hint file to reflect correct character set information.
    Thanks to Michael Fedrowitz. (closes: #187799)

 -- Peter Hawkins <peterh@debian.org>  Wed, 30 Apr 2003 18:51:13 +1000

ttf-freefont (20030319-2) unstable; urgency=low

  * Changed package so the TTF files are built from the SFD files using
    pfaedit, rather than using the upstream provided TTFs. Since we are
    now using TTFs without hinting turned on, we don't have the problem
    of ugliness of the fonts due to pfaedit having broken hinting.
    This has also cut the size of the source package in half.
    (closes: #182823)

 -- Peter Hawkins <peterh@debian.org>  Fri, 21 Mar 2003 10:27:51 +1100

ttf-freefont (20030319-1) unstable; urgency=low

  * New upstream release. The new upstream release fixes some font
    breakage which occurred in 20030219. Sadly, hinting still is 
    borked. (closes: #183076)
  * Package now Recommends: x-ttcidfont-conf (closes: #185127).
  * Updated Standards version to 3.5.9.

 -- Peter Hawkins <peterh@debian.org>  Thu, 20 Mar 2003 12:29:32 +1100

ttf-freefont (20030219-1) unstable; urgency=low

  * Fixed GPL violation (closes: #182402).
  * Packaged new version of fonts. 

 -- Peter Hawkins <peterh@debian.org>  Wed, 26 Feb 2003 10:48:41 +1100

ttf-freefont (20021016-2) unstable; urgency=low

  * Build a udeb for debian-installer (thanks to Sebastian Ley).
  * s/Author(s)/Author/ in debian/copyright to fix lintian warning.
  * s/Build-Depends/Build-Depends-Indep/ in debian/rules to fix lintian error.
  * Updated standards version to 3.5.8.

 -- Peter Hawkins <peterh@debian.org>  Tue, 31 Dec 2002 16:18:17 +1100

ttf-freefont (20021016-1) unstable; urgency=low

  * Package now uses defoma for font management (closes: #163054)
  * Made symlinks redudant (closes: #165403)
  * Packaged a new version of the fonts.

 -- Peter Hawkins <peterh@debian.org>  Sat, 19 Oct 2002 11:38:43 +1000

ttf-freefont (20021011-1) unstable; urgency=low

  * Packaged a new version of the fonts.

 -- Peter Hawkins <peterh@debian.org>  Mon, 14 Oct 2002 12:19:55 +1000

ttf-freefont (20020920-2) unstable; urgency=low

  * Added X11 font dir to package (closes: #163012)

 -- Peter Hawkins <peterh@debian.org>  Wed,  2 Oct 2002 12:38:06 +1000

ttf-freefont (20020920-1) unstable; urgency=low

  * Initial Release. (closes: #162540)

 -- Peter Hawkins <peterh@debian.org>  Fri, 27 Sep 2002 12:42:49 +1000

=== debian/control ===
Source: ttf-freefont
Section: x11
Priority: optional
Maintainer: Peter Hawkins <peterh@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), defoma (>= 0.7.0), fontforge, patch
Standards-Version: 3.6.1

Package: ttf-freefont
Architecture: all
Depends: defoma
Recommends: x-ttcidfont-conf
Description: Freefont Serif, Sans and Mono Truetype fonts
 A set of free high-quality TrueType fonts covering the UCS
 character set. These fonts are similar to the (in)famous Helvetica,
 Times and Courier fonts.

Package: ttf-freefont-udeb
Section: debian-installer
Provides: ttf-installer
Architecture: all
Description: Freefont Serif, Sans and Mono Truetype fonts
 A set of free high-quality TrueType fonts covering the UCS
 character set. These fonts are similar to the (in)famous Helvetica,
 Times and Courier fonts. This package provides the fonts for use
 with the gtk frontend of debian-installer.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modified for ttf-freefont by Peter Hawkins 2002.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

PACKAGE=$(shell dh_listpackages | grep -- -udeb$$)
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
ARCH=$(shell dpkg --print-architecture)
UFILENAME=$(PACKAGE)_$(VERSION)_all.udeb


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	
	tar xvf freefont-sfd.tar
	(cd sfd \
	 && patch -p1 < ../debian/fontforge-bug-workaround.patch \
	 && make -f ../Makefile)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-rm -f README AUTHORS CREDITS INSTALL ChangeLog
	-rm -fr sfd

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ttf-freefont.
	cp sfd/*.ttf debian/ttf-freefont/usr/share/fonts/truetype/freefont/
	cp sfd/*.ttf debian/ttf-freefont-udeb/usr/share/fonts/truetype/freefont/
	cp debian/XftConfig.udeb debian/ttf-freefont-udeb/etc/X11/XftConfig

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdefoma -Nttf-freefont-udeb
	dh_installdocs README -Nttf-freefont-udeb
	dh_installexamples -Nttf-freefont-udeb
	dh_installmenu -Nttf-freefont-udeb
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron -Nttf-freefont-udeb
	dh_installman -Nttf-freefont-udeb
	dh_installinfo -Nttf-freefont-udeb
#	dh_undocumented
	dh_installchangelogs -Nttf-freefont-udeb
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	#No conffile caretaking in udebs
	rm -f debian/ttf-freefont-udeb/DEBIAN/conffiles
#	dh_perl
	dh_shlibdeps
	dh_gencontrol -Nttf-freefont-udeb
	dh_gencontrol -pttf-freefont-udeb -- -fdebian/files~
	dpkg-distaddfile $(UFILENAME) debian-installer optional
	dh_md5sums -Nttf-freefont-udeb
	dh_builddeb -Nttf-freefont-udeb
	dh_builddeb  -pttf-freefont-udeb --filename=$(UFILENAME)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ttf-freefont 20031008-1.1ubuntu1

=== debian/changelog ===
ttf-freefont (20031008-1.1ubuntu1) hoary; urgency=low

  * Build-depends: defoma (>=0.8.11ubuntu2)

 -- LaMont Jones <lamont@ubuntu.com>  Fri, 18 Mar 2005 16:30:58 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Peter Hawkins <peterh@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), defoma (>= 0.7.0), fontforge, patch
+Build-Depends-Indep: debhelper (>> 3.0.0), defoma (>= 0.8.11ubuntu2), fontforge, patch
 Standards-Version: 3.6.1
 
 Package: ttf-freefont

## ttf-freefont 20060501cvs

=== Makefile ===
# $Id: Makefile,v 1.3 2005/12/06 10:52:07 peterlin Exp $

ADMIN=README AUTHORS CREDITS COPYING ChangeLog INSTALL
SFDS=FreeMonoBoldOblique.sfd FreeMonoBold.sfd FreeMonoOblique.sfd FreeMono.sfd \
FreeSansBoldOblique.sfd FreeSansBold.sfd FreeSansOblique.sfd FreeSans.sfd \
FreeSerifBoldItalic.sfd FreeSerifBold.sfd FreeSerifItalic.sfd FreeSerif.sfd
TTFS=$(SFDS:.sfd=.ttf)
DATE=$(shell date +"%Y%m%d")
RELEASE=freefont-$(DATE)
VPATH=sfd
BUILDDIR=$(PWD)
TMPDIR=$(BUILDDIR)/$(RELEASE)
ZIPFILE=freefont-ttf-$(DATE).zip
TARFILE=freefont-ttf-$(DATE).tar.gz
SRCTARFILE=freefont-sfd-$(DATE).tar.gz
ZIPSIG=freefont-ttf-$(DATE).zip.sig
TARSIG=freefont-ttf-$(DATE).tar.gz.sig
SRCTARSIG=freefont-sfd-$(DATE).tar.gz.sig
SIGS=$(ZIPSIG) $(TARSIG) $(SRCTARSIG)

.sfd.ttf:
	cd $(BUILDDIR)/sfd
	$(BUILDDIR)/tools/GenerateTrueType $<

.SUFFIXES: $(SUFFIXES) .sfd .ttf

all: tar srctar

ttf: $(SFDS)
	cd $(BUILDDIR)/sfd
	for SFD in $(SFDS); do $(BUILDDIR)/tools/GenerateTrueType $(SFD); done

zip: $(TTFS)
	rm -rf $(TMPDIR) $(ZIPFILE)
	mkdir $(TMPDIR)
	cp -a $(ADMIN) $(TTFS) $(TMPDIR)
	zip -r $(ZIPFILE) $(RELEASE)/

tar: $(TTFS)
	rm -rf $(TMPDIR) $(TARFILE)
	mkdir $(TMPDIR)
	cp -a $(ADMIN) $(TTFS) $(TMPDIR)
	tar czf $(TARFILE) $(RELEASE)/

srctar: $(SFDS)
	rm -rf $(TMPDIR) $(SRCTARFILE)
	mkdir $(TMPDIR)
	cp -a $(ADMIN) sfd/*.sfd $(TMPDIR)
	tar czf $(SRCTARFILE) $(RELEASE)/

clean:
	rm -rf $(TMPDIR) $(ZIPFILE) $(TARFILE) $(SRCTARFILE) $(SIGS)

distclean:
	rm -rf $(TMPDIR) $(ZIPFILE) $(TARFILE) $(SRCTARFILE) $(SIGS) $(TTFS)

## ttf-freefont 20060501cvs-10maemo0

=== debian/changelog ===
ttf-freefont (20060501cvs-10maemo0) unstable; urgency=low

  * Package ported to Maemo5.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Wed, 10 Feb 2010 12:47:14 +0100

ttf-freefont (20060501cvs-10) unstable; urgency=low

  * Strip Hebrew glyphs in the udeb on request of the D-I team
    Closes: #400516

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Nov 2006 07:17:24 +0100

ttf-freefont (20060501cvs-9) unstable; urgency=low

  * Set the priority to optional just like it is in the override
  * 011_liga_to_dlig:
    Change all mandatory ligatures to optional in FreeSans and FreeSerif
    This replaces 010_st_ligature which did so only for the "st" ligature
    Thanks to Dick Streefland for the suggestion and the patch
    Closes: #382521

 -- Christian Perrier <bubulle@debian.org>  Sat, 15 Jul 2006 08:55:38 +0200

ttf-freefont (20060501cvs-8) unstable; urgency=low

  * Correct the "st" ligature in FreeSerif and all other non monospaced
    fonts where it was mandatory. Closes: #358526

 -- Christian Perrier <bubulle@debian.org>  Fri, 14 Jul 2006 20:01:58 +0200

ttf-freefont (20060501cvs-7) unstable; urgency=low

  * Fix OS2WinAscent and OS2WinDescent to correct vertical spacing
    in OpenOffice.org. Closes: #254113

 -- Christian Perrier <bubulle@debian.org>  Fri, 14 Jul 2006 12:09:39 +0200

ttf-freefont (20060501cvs-6) unstable; urgency=low

  * FreeMono fonts now recognized as Monospaced by setting the width of
    all glyphs to 600. Closes: #255569,  #177667, #301712
    Thanks to Jan Willem Stumpel for the very valuable help tracking
    this bug down.

 -- Christian Perrier <bubulle@debian.org>  Sun,  9 Jul 2006 21:26:41 +0200

ttf-freefont (20060501cvs-5) unstable; urgency=low

  * debian/patches/007_horizontal_spacing: correct Width for various
    characters in FreeMono fonts. Closes: #376677
  * debian/patches/008_georgian_d: Fix the Georgian D
    Closes: #377266 (and Ubuntu #45898)

 -- Christian Perrier <bubulle@debian.org>  Tue,  4 Jul 2006 19:04:46 +0200

ttf-freefont (20060501cvs-4) unstable; urgency=low

  * Do not strip the Bengali conjuncts in the udeb. Closes: #375731

 -- Christian Perrier <bubulle@debian.org>  Wed, 28 Jun 2006 07:44:58 +0200

ttf-freefont (20060501cvs-3) unstable; urgency=low

  * debian/control
      - Updated to Standards: 3.7.2.0 (checked, no change needed: we were
        already compliant)
      - Move debhelper, quilt and cdbs dependencies to Build-Depends as
        these packages are required by the clean target. Thanks, lintian.
  * Strip the Tamil glyphs ranges in the udeb
    on the request of the D-I team. Closes: #375241

 -- Christian Perrier <bubulle@debian.org>  Sun, 25 Jun 2006 08:16:53 +0200

ttf-freefont (20060501cvs-2) unstable; urgency=low

  * Strip the Vietnamese and Georgian glyphs ranges in the udeb
    on the request of the D-I team. Closes: #373836
  * Rebuild with new fontforge
  * Move quilt, cdbs and debhelper to Build-Depends as they're required
    to run the clean target. Thanks, my beloved lintian.
  * Updated to Standards: 3.7.2
  * Remove INSTALL from the provided documentation. Thansk, little lintian.

 -- Christian Perrier <bubulle@debian.org>  Fri, 16 Jun 2006 07:08:48 +0200

ttf-freefont (20060501cvs-1) unstable; urgency=low

  * New official maintainer (Konstantinos kept in Uploaders)
  * CVS snapshot:
    - Correct ligature problems in FreeMono. Closes: #358526
    - Correct Freefont Alef and Lamed combine (Debian patch
      003_alef-lamed dropped)
    - Correct arrows U+2198/U+2199 (Debian patch 005_arrows dropped)
  * Upstream fixes not (yet) applied upstream:
    - 006_remove-russian-sample: remove sample for the Russian language
      Closes: #353304 (upstream bug #15791)
  * Debian packaging fixes:
    - Use the layout of upstream CVS for the source package instead
      of just using freefont-sfd.tar.gz
    - Add upstream's ChangLog, AUTHOR, README and INSTALL files to
      doc files

 -- Christian Perrier <bubulle@debian.org>  Mon,  1 May 2006 20:02:17 +0200

ttf-freefont (20060126b-3) unstable; urgency=low

  * Add a build dependency on cdbs. Closes: #358321
  * debian/patches/005_arrows:
    Invert U+2198/U+2199 in FreeSerif
    Closes: #275759
  * Build-Depends on debhelper (>= 4.1.0) as we use debhelper.mk
    from cdbs. Thanks to the lovely linda.

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Mar 2006 18:37:39 +0100

ttf-freefont (20060126b-2) unstable; urgency=low

  * Change package priority to extra
  * debian/rules, debian/control:
    - Now use cdbs to build the package which oversimplifies the
      debian/rules file
  * debian/rules:
    - Explicitely change permissions of debian/scripts/strip_glyphs.pe
      Closes: #357154

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Mar 2006 06:50:47 +0100

ttf-freefont (20060126b-1) unstable; urgency=low

  * Fake new upstream version as the layout of the
    .orig.tar.gz file has been reorganized
  * debian/rules:
    - Now use quilt to manage patches
  * debian/watch:
    - file added
  * debian/patches/003_alef-lamed:
    - Change the ligature type for Hebrew Alef-Lamed
      Closes: #349657
  * debian/patches/004_workaround-spacing-bug:
    - Re-enable spacing bug workaround, and update ascent/descent in patch.
      This fixes spacing issues in several applications, including
      the graphical debian-installer.  However, OpenOffice.org still shows
      spacing issues, so this doesn't quite fix #254113.
      Huge thanks to Josh Triplett for the patch
  * debian/README.Debian:
    - Mention that the former Alioth project is no more used

 -- Christian Perrier <bubulle@debian.org>  Mon, 13 Mar 2006 09:22:43 +0100

ttf-freefont (20060126-1) unstable; urgency=low

  * Add self to Uploaders to be sure that someone officially "takes care"
    of the package while Konstantinos is away
  * New upstream version. Closes: #350517
  * Fix FTBFS by forcing scripts called from debian/rules to be executable
    Closes: #352974


=== debian/control ===
Source: ttf-freefont
Section: x11
Priority: optional
Maintainer: Roman Moravcik <roman.moravcik@gmail.com>
XSBC-Original-Maintainer: Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 4.1.0), quilt (>= 0.40), cdbs (>= 0.4.23-1.1), maemo-optify
Build-Depends-Indep: defoma (>= 0.7.0), fontforge
Standards-Version: 3.7.2.0
Uploaders: Konstantinos Margaritis <markos@debian.org>, Roman Moravcik <roman.moravcik@gmail.com>

Package: ttf-freefont
Architecture: all
Depends: defoma
Recommends: x-ttcidfont-conf
Description: Freefont Serif, Sans and Mono Truetype fonts
 A set of free high-quality TrueType fonts covering the UCS
 character set. These fonts are similar to the (in)famous Helvetica,
 Times and Courier fonts.

Package: ttf-freefont-udeb
Section: debian-installer
Provides: ttf-installer
XC-Package-Type: udeb
Architecture: all
Description: Freefont Sans fonts for the graphical installer

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modified for ttf-freefont by Peter Hawkins 2002.

include /usr/share/cdbs/1/rules/debhelper.mk
# Automatically controls patching at build time:
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# hack to make the udeb be name all.udeb and not $ARCH.udeb
DEB_ARCH=all

binary-install/ttf-freefont::
	chmod u+x debian/scripts/convertfonts.sh
	chmod u+x debian/scripts/stripfonts.sh
	chmod u+x debian/scripts/FreeSans-strip
	chmod u+x debian/scripts/ConvertFont
	chmod u+x debian/scripts/strip_glyphs.pe
	debian/scripts/convertfonts.sh
	# Strip the fonts for the udeb
	debian/scripts/stripfonts.sh
	dh_install
	dh_installdefoma

binary-predeb/ttf-freefont::
	maemo-optify

clean::
	-rm -fr TTF*

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=3

http://download.savannah.nongnu.org/releases/freefont/freefont-sfd-(.*)\.tar\.gz \
  debian uupdate

## ttf-freefont 20090104

=== debian/changelog ===
ttf-freefont (20090104-5) unstable; urgency=low

  [ Christian Perrier ]
  * Switch to debhelper v7
  * Use a minimal debian/rules file
  * Switch to 3.0 (quilt) source format
  * As a consequence of the above, no longer build-depend on quilt and cdbs
  * Add ${misc:Depends} to dependencies to properly cope with
    debhelper-triggerred dependencies
  * Add myself as Uploader
  * Update Standards to 3.8.3 (checked)

  [ Davide Viti ]
  * Remove defoma hints files and dependency on defoma

 -- Davide Viti <zinosat@tiscali.it>  Mon, 30 Nov 2009 21:04:49 +0100

ttf-freefont (20090104-4) unstable; urgency=low

  * debian/control: change source section to "fonts"

 -- Davide Viti <zinosat@tiscali.it>  Sat, 25 Jul 2009 14:21:22 +0200

ttf-freefont (20090104-3) unstable; urgency=low

  * scripts/strip_glyphs.pe: re-encode as "unicodeFull" as to
    deal with glyphs in ranges > uFFFF
  * scripts/FreeSans-strip: simplify stripping glyphs in high ranges (>
    uFFFF) taking advantage of new version of strip_glyphs.pe
  * Really strip Ugaritic, Old Persian and Phoenician out of the udeb
  * debian/control: Bump Standards-Version to 3.8.2
  * Bump Build-Depends on debhelper to 5.0.42: replace binary-install
    with install in debian/rules to fix building with DH_COMPAT>=5

 -- Davide Viti <zinosat@tiscali.it>  Sat, 11 Jul 2009 15:31:16 +0200

ttf-freefont (20090104-2) unstable; urgency=low

  * Upload to unstable

 -- Davide Viti <zinosat@tiscali.it>  Tue, 24 Feb 2009 21:56:48 +0100

ttf-freefont (20090104-1) experimental; urgency=low

  * New upstream release (Closes: #509858)
  * Fix wrong upstream URLs
    - debian/watch
    - debian/control
    - debian/copyright
  * debian/control: fix lintian warning about missing ${misc:Depends}
    in binary entries
  * debian/scripts/FreeSans-strip: strip more ranges from the udeb:
    - Alphabetic Presentation Forms (uFB00:uFB4F)
    - Phoenician (u10900:u1091F)
  * Perform glyph stripping on the sfd files rather than on the ttf like we
    do on ttf-dejavu: seems much cleaner and avoids problems with Indic
    scripts which got rendered badly (probably because of a Fontforge bug)
  * debian/patches/: remove empty directory to fix lintian warning

 -- Davide Viti <zinosat@tiscali.it>  Wed, 04 Feb 2009 08:57:31 +0100

ttf-freefont (20080912-1) experimental; urgency=low

  * New upstream release (Closes: #500299)
  * debian/control: Bump Standards-Version to 3.8.0
  * remove patch needed with previous version    
  * debian/scripts/FreeSans-strip: strip more ranges from the udeb:
    - Combining Diacritical Marks for Symbols (u20D0:u20FF)
    - Supplemental Mathematical Operators (u2A00:u2AFF)
    - Supplemental Punctuation (u2E00:u2E7F)
    - Ugaritic (u10380:u1039F)
    - Old Persian (u103A0:u103DF)
  
 -- Davide Viti <zinosat@tiscali.it>  Sun, 05 Oct 2008 13:43:32 +0200

ttf-freefont (20080323-3) unstable; urgency=low

  * patches/001_fix_ff_crash: fix FreeSerif.sfd which
    cuses Fontforge to crash (Closes: #474572)
  * scripts/convertfonts.sh: avoid searching sfd files in subdirs; it
    caused building unpatched files inside ".pc"

 -- Davide Viti <zinosat@tiscali.it>  Sun, 06 Apr 2008 17:55:07 +0200

ttf-freefont (20080323-2) unstable; urgency=low

  * debian/control: bump minimal version of fontforge to 0.0.20080330
    (Closes: #472830)

 -- Davide Viti <zinosat@tiscali.it>  Tue, 01 Apr 2008 16:04:44 +0200

ttf-freefont (20080323-1) unstable; urgency=low

  * New upstream release
  * debian/control: 
    - add Vcs-Svn, Vcs-Browser and Homepage fields
    - Standards-Version 3.7.3
    - bump minimal version of fontforge to 0.0.20080203
  * Remove all patches which have now been merged upstream

 -- Davide Viti <zinosat@tiscali.it>  Tue, 25 Mar 2008 22:09:25 +0100

ttf-freefont (20060501cvs-12) unstable; urgency=low

  * debian/scripts: added an extension .ff to the script ConvertFont name,
    for adaption to work with the new FontForge package. Thanx to Kęstutis
    Biliūnas for the patch (Closes: #423963).

 -- Davide Viti <zinosat@tiscali.it>  Wed, 16 May 2007 01:18:01 +0200

ttf-freefont (20060501cvs-11) unstable; urgency=low

  * Strip more ranges out of the udeb. Closes: #419580
  * Make the package "team-maintained"; remove Konstantinos and add self
    to uploaders

 -- Davide Viti <zinosat@tiscali.it>  Fri, 20 Apr 2007 21:04:02 +0200

=== debian/control ===
Source: ttf-freefont
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: fontforge (>= 0.0.20080330)
Standards-Version: 3.8.3
Uploaders: Davide Viti <zinosat@tiscali.it>, Christian Perrier <bubulle@debian.org>
Vcs-Svn: svn://svn.debian.org/pkg-fonts/packages/ttf-freefont/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/ttf-freefont/trunk
Homepage: http://savannah.gnu.org/projects/freefont/

Package: ttf-freefont
Architecture: all
Depends: ${misc:Depends}
Recommends: x-ttcidfont-conf
Description: Freefont Serif, Sans and Mono Truetype fonts
 A set of free high-quality TrueType fonts covering the UCS
 character set. These fonts are similar to the (in)famous Helvetica,
 Times and Courier fonts.

Package: ttf-freefont-udeb
Section: debian-installer
Provides: ttf-installer
XC-Package-Type: udeb
Architecture: all
Description: Freefont Sans fonts for the graphical installer

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_prep:
	-rm -fr TTF* udeb-sfd
	dh_prep

override_dh_install:
	chmod u+x debian/scripts/convertfonts.sh
	chmod u+x debian/scripts/stripfonts.sh
	chmod u+x debian/scripts/strip_glyphs.pe
	chmod u+x debian/scripts/ConvertFont.ff
	chmod u+x debian/scripts/strip_glyphs.pe
	debian/scripts/convertfonts.sh
	# Strip the fonts for the udeb
	debian/scripts/stripfonts.sh
	dh_install

## ttf-freefont 20100919

=== debian/changelog ===
ttf-freefont (20100919-1) unstable; urgency=low

  * New upstream release (Closes: #599151, #610849)
  * Remove dependencies on x-ttcidfont-conf and reflect the change in
    README.Debian as well
  * debian/copyright: add Steve White as current upstream maintainer 
  * debian/control: 
     - Bump Standards-Version to 3.9.1 (no changes needed)
     - Build-Depends-Indep set to "fontforge-nox | fontforge" to unburden
       buildds. Drop also version restriction (>= 0.0.20080330)
  * debian/scripts/FreeSans-strip: strip more ranges from the udeb:
    - Cherokee (u13A0:u13FF)
    - Unified Canadian Aboriginal Syllabics (u1400:u167F)
    - Unified Canadian Aboriginal Syllabics Extended (u18B0:u18FF)
    - Tifinagh (u2D30:u2D7F)
    - Vai (uA500:uA63F)
    - Latin Extended-D (uA720:uA7FF)
    - Osmanya (u10480:u104AF)

 -- Davide Viti <zinosat@tiscali.it>  Mon, 07 Feb 2011 22:11:27 +0100

ttf-freefont (20090104-7) unstable; urgency=low

  [Rogério Brito]
  * Update the version of the GPL (Closes: #576146)
  * Update the years of copyright
  * Delete trailing whitespace

  [ Davide Viti ]
  * Prepare new release
  * debian/control: Bump Standards-Version to 3.8.4 (no changes needed)

 -- Davide Viti <zinosat@tiscali.it>  Tue, 06 Apr 2010 21:24:25 +0200

ttf-freefont (20090104-6) unstable; urgency=low

  [ Jan Dittberner ]
  * Add binary package otf-freefont providing OpenType versions of the
    fonts (Closes: #575729)
    - add debian/otf-freefont.dirs, debian/otf-freefont.docs,
      debian/otf-freefont.install, debian/scripts/ConvertOTFont.ff
    - call ConvertOTFont.ff in debian/scripts/convertfonts.sh
    - add OTF related lines to debian/rules
    - add new binary package stanza to debian/control
  * Set debhelper dependency version to (>= 7.0.50~) to fix lintian
    warning

  [ Davide Viti ]
  * Prepare new release

 -- Davide Viti <zinosat@tiscali.it>  Mon, 29 Mar 2010 22:58:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: fontforge (>= 0.0.20080330)
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends-Indep: fontforge-nox | fontforge
+Standards-Version: 3.9.1
 Uploaders: Davide Viti <zinosat@tiscali.it>, Christian Perrier <bubulle@debian.org>
 Vcs-Svn: svn://svn.debian.org/pkg-fonts/packages/ttf-freefont/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/ttf-freefont/trunk
@@ -13,9 +13,16 @@
 Package: ttf-freefont
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: x-ttcidfont-conf
 Description: Freefont Serif, Sans and Mono Truetype fonts
  A set of free high-quality TrueType fonts covering the UCS
+ character set. These fonts are similar to the (in)famous Helvetica,
+ Times and Courier fonts.
+
+Package: otf-freefont
+Architecture: all
+Depends: ${misc:Depends}
+Description: Freefont Serif, Sans and Mono OpenType fonts
+ A set of free high-quality OpenType fonts covering the UCS
  character set. These fonts are similar to the (in)famous Helvetica,
  Times and Courier fonts.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 	dh $@
 
 override_dh_prep:
-	-rm -fr TTF* udeb-sfd
+	-rm -fr TTF* OTF* udeb-sfd
 	dh_prep
 
 override_dh_install:
@@ -11,6 +11,7 @@
 	chmod u+x debian/scripts/stripfonts.sh
 	chmod u+x debian/scripts/strip_glyphs.pe
 	chmod u+x debian/scripts/ConvertFont.ff
+	chmod u+x debian/scripts/ConvertOTFont.ff
 	chmod u+x debian/scripts/strip_glyphs.pe
 	debian/scripts/convertfonts.sh
 	# Strip the fonts for the udeb

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=3

http://ftp.gnu.org/gnu/freefont/freefont-sfd-(.*)\.tar\.gz \
  debian uupdate
